<?php
/**
 * 
 * Sanitization callbacks.
 */

if ( ! function_exists( 'vastnews_sanitize_select' ) ) {

	function vastnews_sanitize_select( $input, $setting ) {
		// Ensure input is a slug.
		$input = sanitize_text_field( $input );
		// Get list of choices from the control associated with the setting.
		$choices = $setting->manager->get_control( $setting->id )->choices;
		// If the input is a valid key, return it; otherwise, return the default.
		return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
	}
  
}


function vastnews_sanitize_number_range( $input, $setting ) {
	// Ensure input is an absolute integer.
	$input = absint( $input );

         // Get the input attributes associated with the setting.
	$atts  = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get min number in the range.
	$min  = ( isset( $atts['min'] ) ? $atts['min'] : $input );

         // Get max number in the range.
	$max  = ( isset( $atts['max'] ) ? $atts['max'] : $input );
	
          // Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default.
	return ( $min <= $input && $input <= $max && is_int( $input / $step ) ? $input : $setting->default );
}


function vastnews_sanitize_checkbox( $checked ) {
	return ( ( isset( $checked ) && true === $checked ) ? true : false );
}